public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/groff/
Date: Sun, 14 Mar 2021 18:55:15 +0000 (UTC)	[thread overview]
Message-ID: <1615748109.26b96a65cbf78c2c61c881fe29d6ef5f4acbec50.floppym@gentoo> (raw)

commit:     26b96a65cbf78c2c61c881fe29d6ef5f4acbec50
Author:     David Michael <fedora.dm0 <AT> gmail <DOT> com>
AuthorDate: Sun Mar  7 16:23:13 2021 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sun Mar 14 18:55:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26b96a65

sys-apps/groff: EAPI 7

Closes: https://bugs.gentoo.org/774699
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: David Michael <fedora.dm0 <AT> gmail.com>
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-apps/groff/groff-1.22.4.ebuild | 36 +++++++++++++++++-------------------
 1 file changed, 17 insertions(+), 19 deletions(-)

diff --git a/sys-apps/groff/groff-1.22.4.ebuild b/sys-apps/groff/groff-1.22.4.ebuild
index 562ef0a0eeb..9b743edaf3b 100644
--- a/sys-apps/groff/groff-1.22.4.ebuild
+++ b/sys-apps/groff/groff-1.22.4.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 inherit toolchain-funcs
 
@@ -21,14 +21,15 @@ IUSE="examples uchardet X"
 RDEPEND="
 	uchardet? ( app-i18n/uchardet )
 	X? (
+		x11-libs/libICE
+		x11-libs/libSM
 		x11-libs/libX11
-		x11-libs/libXt
-		x11-libs/libXmu
 		x11-libs/libXaw
-		x11-libs/libSM
-		x11-libs/libICE
+		x11-libs/libXmu
+		x11-libs/libXt
 	)"
-DEPEND="${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
 	dev-lang/perl
 	sys-apps/texinfo"
 
@@ -70,16 +71,13 @@ src_configure() {
 }
 
 src_compile() {
-	if tc-is-cross-compiler ; then
-		local CROSS_ARGS=(
-			GROFFBIN="$(type -P groff)"
-			TROFFBIN="$(type -P troff)"
-			GROFF_BIN_DIR=
-			GROFF_BIN_PATH=
-		)
-	else
-		unset CROSS_ARGS
-	fi
+	local -a CROSS_ARGS
+	tc-is-cross-compiler && CROSS_ARGS+=(
+		GROFFBIN="$(type -P groff)"
+		TROFFBIN="$(type -P troff)"
+		GROFF_BIN_DIR=
+		GROFF_BIN_PATH=
+	)
 
 	emake AR="$(tc-getAR)" "${CROSS_ARGS[@]}"
 }
@@ -93,11 +91,11 @@ src_install() {
 
 	if ! use examples ; then
 		# The pdf files might not be generated if ghostscript is unavailable. #602020
-		local pdf="${ED%/}/usr/share/doc/${PF}/examples/mom/mom-pdf.pdf"
+		local pdf="${ED}/usr/share/doc/${PF}/examples/mom/mom-pdf.pdf"
 		if [[ -e ${pdf} ]] ; then
 			# Keep mom-pdf.pdf since it's more of a manual than an example. #454196 #516732
-			mv "${pdf}" "${ED%/}"/usr/share/doc/${PF}/pdf/ || die
+			mv "${pdf}" "${ED}/usr/share/doc/${PF}/pdf/" || die
 		fi
-		rm -rf "${ED%/}"/usr/share/doc/${PF}/examples
+		rm -rf "${ED}/usr/share/doc/${PF}/examples"
 	fi
 }


             reply	other threads:[~2021-03-14 18:55 UTC|newest]

Thread overview: 58+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-14 18:55 Mike Gilbert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-20 15:19 [gentoo-commits] repo/gentoo:master commit in: sys-apps/groff/ Sam James
2023-12-18  9:01 Arthur Zamarin
2023-12-16 20:56 Sam James
2023-12-16 19:16 Arthur Zamarin
2023-12-16 19:16 Arthur Zamarin
2023-12-16 11:33 Sam James
2023-12-16 11:29 Arthur Zamarin
2023-12-16 11:26 Sam James
2023-11-12 10:25 Fabian Groffen
2023-07-06  8:29 Sam James
2023-07-06  8:29 Sam James
2023-04-16  4:38 Sam James
2023-02-24 18:36 Sam James
2023-02-13 23:24 Sam James
2023-02-09  0:57 Sam James
2023-02-04 22:50 Sam James
2022-10-20  3:50 Sam James
2022-10-18  2:18 Sam James
2021-08-30  2:03 Sam James
2021-02-23 19:17 Fabian Groffen
2021-01-19 18:14 Georgy Yakovlev
2021-01-06 15:26 Fabian Groffen
2020-12-27 18:13 Fabian Groffen
2020-07-11 21:09 Sam James
2020-06-20 14:08 Thomas Deutschmann
2020-06-09 20:06 Michał Górny
2020-06-04 20:39 Mart Raudsepp
2020-05-30 19:20 Sergei Trofimovich
2020-05-30  8:45 Sergei Trofimovich
2020-05-25 12:21 Mikle Kolyada
2020-05-25  9:36 Sergei Trofimovich
2020-05-22  8:02 Sergei Trofimovich
2020-02-08 16:53 David Seifert
2019-05-04 13:18 Mikle Kolyada
2019-01-25 21:43 James Le Cuirot
2019-01-08 19:19 Thomas Deutschmann
2019-01-08 19:19 Thomas Deutschmann
2018-12-24 22:15 Lars Wendler
2018-12-23  9:47 Lars Wendler
2018-12-08 15:45 Mikle Kolyada
2018-12-03  0:08 Thomas Deutschmann
2018-11-28 21:22 Tobias Klausmann
2018-11-25 15:48 Mart Raudsepp
2018-11-18 16:01 Sergei Trofimovich
2018-11-18 11:36 Mikle Kolyada
2018-11-18 10:52 Sergei Trofimovich
2018-11-18 10:41 Sergei Trofimovich
2018-11-18 10:38 Sergei Trofimovich
2018-11-12  1:14 Thomas Deutschmann
2018-11-10 15:31 Sergei Trofimovich
2018-11-09 17:46 Mikle Kolyada
2018-11-09 13:35 Lars Wendler
2017-05-09 14:33 William Hubbs
2016-12-09  4:21 Mike Frysinger
2016-12-07 18:50 Mike Frysinger
2016-06-24 21:28 Ulrich Müller
2016-01-12 18:05 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1615748109.26b96a65cbf78c2c61c881fe29d6ef5f4acbec50.floppym@gentoo \
    --to=floppym@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox